Build failed in Jenkins: ovirt_3.6_system-tests #40
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/40/changes>
Changes:
[David Caro] Added message when the system ram is small
[Sandro Bonazzola] ovirt-engine: switch from 3.6.6 to 3.6.7
[Sandro Bonazzola] spagobi: drop jobs
[Sandro Bonazzola] publishers: added 4.0 publisher
[David Caro] Change the grop and rights of the dirs created
------------------------------------------
[...truncated 182 lines...]
[[ -d /etc/dnf ]] && cat /etc/yum/yum.conf > /etc/dnf/dnf.conf
rm -Rf /var/lib/rpm/__* &>$logdir/rpmbuild.log
rpm --rebuilddb &>>$logdir/rpmbuild.log
EOC
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
Finish: chroot init
Start: shell
sh: cannot set terminal process group (110813): Inappropriate ioctl for device
sh: no job control in this shell
<mock-chroot>sh-4.3# set -e
<mock-chroot>sh-4.3# logdir="<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt>
-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb"
<mock-chroot>sh-4.3# [[ -d $logdir ]] \
> || mkdir -p "$logdir"
<mock-chroot>sh-4.3# # Fix that allows using yum inside the chroot on dnf enabled
d
<mock-chroot>sh-4.3# # distros
<mock-chroot>sh-4.3# [[ -d /etc/dnf ]] && cat /etc/yum/yum.conf > /etc/dnf/dnf.co
nf
<mock-chroot>sh-4.3# rm -Rf /var/lib/rpm/__* &>$logdir/rpmbuild.log
<mock-chroot>sh-4.3# rpm --rebuilddb &>>$logdir/rpmbuild.log
<mock-chroot>sh-4.3# logout
Finish: shell
Clean rpmdb took 2 seconds
============================
Using proxified config ../jenkins/mock_configs/fedora-23-x86_64_proxied.cfg
Generating temporary mock conf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
Adding mount points
Using chroot cache = /var/cache/mock/fedora-23-x86_64-57b948690aad4a606d6ca382a3ea484d
Using chroot dir = /var/lib/mock/fedora-23-x86_64-57b948690aad4a606d6ca382a3ea484d-70358
Adding repo lago -> http://resources.ovirt.org/repos/lago/stable/0.0/rpm/fc23
Adding repo ovirt-3.6-stable -> http://resources.ovirt.org/pub/ovirt-3.6/rpm/fc23
mock \
--root="mocker-fedora-23-x86_64.fc23" \
--configdir="<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests"> \
--no-clean \
--resultdir="logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh" \
--shell <<EOS
set -e
logdir="<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...">
[[ -d "\$logdir" ]] \
|| mkdir -p "\$logdir"
export HOME=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests>
cd
chmod +x automation/basic_suite_3.6.sh
runner_GID="1013"
runner_GROUP="jenkins"
# mock group is called mockbuild inside the chroot
if [[ \$runner_GROUP == "mock" ]]; then
runner_GROUP=mockbuild
fi
if ! getent group "\$runner_GID" &>/dev/null; then
groupadd \
--gid "\$runner_GID" \
"\$runner_GROUP"
fi
start="\$(date +%s)"
res=0
echo "========== Running the shellscript automation/basic_suite_3.6.sh" \
| tee -a \$logdir/basic_suite_3.6.sh.log
./automation/basic_suite_3.6.sh 2>&1 | tee -a \$logdir/basic_suite_3.6.sh.log \
|| res=\${PIPESTATUS[0]}
end="\$(date +%s)"
echo "Took \$((end - start)) seconds" \
| tee -a \$logdir/basic_suite_3.6.sh.log
echo "===================================" \
| tee -a \$logdir/basic_suite_3.6.sh.log
if [[ "\$(find . -uid 0 -print -quit)" != '' ]]; then
chown -R "$UID:\$runner_GID" .
fi
exit \$res
EOS
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
Finish: chroot init
Start: shell
sh: cannot set terminal process group (110813): Inappropriate ioctl for device
sh: no job control in this shell
<mock-chroot>sh-4.3# set -e
<mock-chroot>sh-4.3# logdir="<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt>
-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh"
<mock-chroot>sh-4.3# [[ -d "$logdir" ]] \
> || mkdir -p "$logdir"
<mock-chroot>sh-4.3# export HOME=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/o>
virt-system-tests
<mock-chroot>sh-4.3# cd
<mock-chroot>sh-4.3# chmod +x automation/basic_suite_3.6.sh
<mock-chroot>sh-4.3# runner_GID="1013"
<mock-chroot>sh-4.3# runner_GROUP="jenkins"
<mock-chroot>sh-4.3# # mock group is called mockbuild inside the chroot
<mock-chroot>sh-4.3# if [[ $runner_GROUP == "mock" ]]; then
> runner_GROUP=mockbuild
> fi
<mock-chroot>sh-4.3# if ! getent group "$runner_GID" &>/dev/null; then
> groupadd --gid "$runner_GID"
"$runner_GROUP"
> fi
<mock-chroot>sh-4.3# start="$(date +%s)"
<mock-chroot>sh-4.3# res=0
<mock-chroot>sh-4.3# echo "========== Running the shellscript automation/basic_su
ite_3.6.sh" | tee -a $logdir/basic_suite_3.6.sh.log
========== Running the shellscript automation/basic_suite_3.6.sh
<mock-chroot>sh-4.3# # It turns out that on some scripts if the following is not
all
<mock-chroot>sh-4.3# # in the same line, it never runs and returns with 0 (giving
false
<mock-chroot>sh-4.3# # positives)
<mock-chroot>sh-4.3# ./automation/basic_suite_3.6.sh 2>&1 | tee -a $logdir/basic_
suite_3.6.sh.log && res=${PIPESTATUS[0]}; end="$(date +%
s)"; echo "Took $((end - start)) seconds" | tee -a $logd
ir/basic_suite_3.6.sh.log; echo "===================================
" | tee -a $logdir/basic_suite_3.6.sh.log; if [[ "$(find
. -uid 0 -print -quit)" != '' ]]; then chown -R "1013:$runner_G
ID" . ; fi; exit $res
################# lago version
lago 0.18.0
#################
Running suite found in <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
Environment will be deployed at <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>: line 7: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>: No such file or directory
find: ‘deployment-basic_suite_3.6’: No such file or directory
#########################
======== Cleaning up
----------- No uuid found, cleaning up any lago-generated vms
Lago cleanup did not work (that is ok), forcing libvirt
----------- Cleaning libvirt
----------- Cleaning libvirt Done
======== Cleanup done
Took 1 seconds
===================================
logout
Finish: shell
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@ Tue May 24 14:51:20 UTC 2016 automation/basic_suite_3.6.sh chroot finished
@@ took 135 seconds
@@ rc = 1
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
========== Scrubbing chroot
mock \
--configdir="<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests"> \
--root="mocker-fedora-23-x86_64.fc23" \
--resultdir="logs/mocker-fedora-23-x86_64.fc23.scrub" \
--scrub=chroot
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: scrub ['chroot']
INFO: scrubbing chroot for mocker-fedora-23-x86_64.fc23
Finish: scrub ['chroot']
Finish: run
Scrub chroot took 8 seconds
============================
##########################################################
## Tue May 24 14:51:28 UTC 2016 Finished env: fc23:fedora-23-x86_64
## took 143 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
##!
========== Running the shellscript automation/basic_suite_3.6.sh
################# lago version
lago 0.18.0
#################
Running suite found in <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
Environment will be deployed at <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>: line 7: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>: No such file or directory
find: ‘deployment-basic_suite_3.6’: No such file or directory
#########################
======== Cleaning up
----------- No uuid found, cleaning up any lago-generated vms
Lago cleanup did not work (that is ok), forcing libvirt
----------- Cleaning libvirt
----------- Cleaning libvirt Done
======== Cleanup done
Took 1 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson4574717569096192622.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/40/artifact/exported-...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/40/artifact/exported-...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ mv '<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...'> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/40/artifact/exported-...>
mv: cannot stat ‘<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>: No such file or directory
POST BUILD TASK : FAILURE
END OF POST BUILD TASK : 0
ESCALATE FAILED POST BUILD TASK TO JOB STATUS
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found. Configuration error?
Archiving artifacts
8 years, 6 months
Re: [ovirt-devel] Branching out 4.0 tomorrow at 12:00 sharp (IST)
by Eyal Edri
We have a ticket to track all ACTIONS we need to do in CI:
https://ovirt-jira.atlassian.net/browse/OVIRT-553
Infra team - we need to allocate a few hours on Wed to make sure all tasks
are done on that ticket to ensure 4.0 is covered:
- sending patch to yaml to add ovirt-engine-4.0 jobs (standard ci)
- adding setup/upgrade jobs to 4.0 (clone from
http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-3.6_el7_mer...
)
- clone findbugs job (still on old jenkins) to 4.0
- add new 4.0 branches to gerrit hooks
- add new publisher to 4.0
- add new ovirt-system-tests job to 4.0
- add new dao tests to 4.0 (still not migrated to std ci)
- add 4.0 to stable branch in gerrit hooks
On Tue, May 24, 2016 at 11:40 AM, Tal Nisan <tnisan(a)redhat.com> wrote:
> Hi everyone,
>
> Just a quick reminder that we are branching out 4.0 tomorrow, we will make
> it at 12:00 Israel time (11:00 CET).
> Patches that will not be merged to master up to this point will not be a
> part of the 4.0 branch and will have to be backported in order to be in 4.0
> as well as to comply to regular stable branch restrictions (include a
> Bug-Url, full acks and so on).
>
>
>
> _______________________________________________
> Devel mailing list
> Devel(a)ovirt.org
> http://lists.ovirt.org/mailman/listinfo/devel
>
--
Eyal Edri
Associate Manager
RHEV DevOps
EMEA ENG Virtualization R&D
Red Hat Israel
phone: +972-9-7692018
irc: eedri (on #tlv #rhev-dev #rhev-integ)
8 years, 6 months